%global _hardened_build 1

Name:		pam-u2f
Version:	1.0.3
Release:	5%{?dist}
Summary:	Implements PAM authentication over U2F

License:	BSD
URL:		https://developers.yubico.com/pam-u2f/
Source0:	https://developers.yubico.com/pam-u2f/Releases/pam_u2f-%{version}.tar.gz
Source1:	https://developers.yubico.com/pam-u2f/Releases/pam_u2f-%{version}.tar.gz.sig
#Source2:	gpgkey-D3994701.gpg

# https://github.com/Yubico/pam-u2f/issues/28
Patch0:		0003-Added-authfile-owner-comparison-to-address-28.patch
Patch1:		0004-Use-secure_getenv-where-available-still-regarding-28.patch
Patch2:		0005-Remove-duplicate-definition.patch

BuildRequires:	gnupg2 pam-devel libu2f-host-devel libu2f-server-devel

# needed if applying patches
BuildRequires:	autoconf
BuildRequires:	automake

%description
The PAM U2F module provides an easy way to integrate the Yubikey (or
other U2F-compliant authenticators) into your existing user
authentication infrastructure.

%package -n pamu2fcfg
Summary:	Configures PAM authentication over U2F
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description -n pamu2fcfg
pamu2fcfg provides a command line tool for configuring PAM authentication
over U2F.

%prep
# Skip verification due to https://bugzilla.redhat.com/show_bug.cgi?id=1292687
#gpgv2 --quiet --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%autosetup -n pam_u2f-%{version} -p1

%build
autoreconf
%configure --with-pam-dir=%{_libdir}/security
%make_build

%install
%make_install
#remove libtool files
find %{buildroot} -name '*.la' -delete

%check
make check

%files
%doc AUTHORS NEWS README
%license COPYING
%{_mandir}/man8/*
%{_libdir}/security/*

%files -n pamu2fcfg
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Dec 18 2015 Seth Jennings <spartacus06@gmail.com> - 1.0.3-5
- Fix up descriptions
- Use %autosetup macro

* Mon Dec 14 2015 Seth Jennings <spartacus06@gmail.com> - 1.0.3-4
- Add upstream patches https://github.com/Yubico/pam-u2f/issues/28

* Mon Nov 30 2015 Seth Jennings <spartacus06@gmail.com> - 1.0.3-3
- Use find -delete option
- Fixup description
- Remove explicit Requires pam

* Wed Nov 18 2015 Seth Jennings <spartacus06@gmail.com> - 1.0.3-2
- Fix typo in pamu2fcfg description

* Wed Nov 18 2015 Seth Jennings <spartacus06@gmail.com> - 1.0.3-1
- Initial package release
